## ros-indigo-class-loader 0.3.9

=== debian/changelog ===
ros-indigo-class-loader (0.3.9-0trusty) trusty; urgency=high

  * [bugfix] define PACKAGE_X_DESTINATION to match catkin behavior (#88 <https://github.com/ros/class_loader/issues/88>)
  * [migration] Provide alternative headers (#84 <https://github.com/ros/class_loader/issues/84>)
  * [style] comply with package format2 xsd (#83 <https://github.com/ros/class_loader/issues/83>) (#85 <https://github.com/ros/class_loader/issues/85>)
  * [warnings] c++11 requires at least one argument for ... (#71 <https://github.com/ros/class_loader/issues/71>)
  * [style] Use std::string::empty instead comparing with an empty string (#69 <https://github.com/ros/class_loader/issues/69>)
  * [style] wrap console bridge invocation lines (#68 <https://github.com/ros/class_loader/issues/68>)
  * [copyright] OSRF and not willow in licence header (#67 <https://github.com/ros/class_loader/issues/67>)
  * Contributors: David Wagner, Diego Cesar, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Fri, 16 Mar 2018 07:00:00 -0000

ros-indigo-class-loader (0.3.8-0trusty) trusty; urgency=high

  * Fix console_bridge marcos definition (#66 <https://github.com/ros/class_loader/issues/66>)
  * Style overhaul (#64 <https://github.com/ros/class_loader/issues/64>) (#62 <https://github.com/ros/class_loader/issues/62>)
  * Add copyright notice to unique_ptr_test.cpp (#65 <https://github.com/ros/class_loader/issues/65>)
  * Contributors: Maarten de Vries, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 16 Nov 2017 08:00:00 -0000

ros-indigo-class-loader (0.3.7-0trusty) trusty; urgency=high

  * switch to package format 2 (#56 <https://github.com/ros/class_loader/issues/56>)
  * remove trailing whitespaces (#55 <https://github.com/ros/class_loader/issues/55>)
  * use CONSOLE_BRIDGE_X logging macros (#52 <https://github.com/ros/class_loader/issues/52>)
  * Contributors: Mikael Arguedas, jmachowinski

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 27 Jul 2017 07:00:00 -0000

ros-indigo-class-loader (0.3.6-0trusty) trusty; urgency=high

  * Made changes to two locking mechanisms inside class loader core's loadLibrary() function: 1) I added a lock to the 'addClassLoaderOwnerFor...' function to protect it against a race condition with the unloadLibrary() function. 2) I also raised the loader lock to cover the whole function. Previously the check to see if a library is already loaded and the actual loading of the library was not atomic. Multiple threads could create shared library objects, for example.
  * Contributors: Jonathan Meyer

 -- Mikael Arguedas <mikael@osrfoundation.org>  Mon, 24 Oct 2016 07:00:00 -0000

ros-indigo-class-loader (0.3.5-0trusty) trusty; urgency=high

  * Add ClassLoader::createUniqueInstance (#38 <https://github.com/ros/class_loader/issues/38>)
    * Wrap comments on createInstance and friend.
    * Delegate createInstance and createUnmanagedInstance to private impl.
    * Add ClassLoader::createUniqueInstance.
    * MultiLibraryClassLoader: Factor out getClassLoaderForClass.
    * MultiLibraryClassLoader: Add unique_ptr API.
    * Add tests for unique_ptr API.
  * Contributors: Maarten de Vries

 -- Mikael Arguedas <mikael@osrfoundation.org>  Tue, 20 Sep 2016 07:00:00 -0000

ros-indigo-class-loader (0.3.4-0trusty) trusty; urgency=high

  * cleanup: don't use active_class_loaders_[library_path] for existence test (#35 <https://github.com/ros/class_loader/issues/35>)
    * cleanup: don't use active_class_loaders_[library_path] for existence test
    - this accumulates map entries with NULL pointer
    - fixing it, allows some cleanup
    * list headers in CodeBlocks / QtCreator
    * explicitly list all headers
  * Merge pull request #34 <https://github.com/ros/class_loader/issues/34> from rhaschke/fix-on-demand-unloading
    fix on demand unloading
  * Merge pull request #32 <https://github.com/ros/class_loader/issues/32> from saarnold/fixed_unset_variable_evaluation
    fixed evaluation of undefined variable
  * fixed evaluation of undefined variable
  * not unloading the ClassLoaders (to avoid the SEVERE WARNING) doesn't work either
  * bugfix: enable on-demand loading/unloading with MultiClassLoader
    - enforce loading of library in loadLibrary(), otherwise we cannot know
    - don't unload libraries in destructor when on-demand-unloading is enabled
  * extra utest: MultiClassLoaderTest.lazyLoad succeeds two times in a row?
  * added MultiLibraryClassLoader unittest
  * Contributors: Mikael Arguedas, Robert Haschke, Sascha Arnold

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Jun 2016 07:00:00 -0000

ros-indigo-class-loader (0.3.3-0trusty) trusty; urgency=high

  * update maintainer
  * Merge pull request #26 <https://github.com/ros/class_loader/issues/26> from goldhoorn/indigo-devel
    Added option to disable the catkin build
  * Added option to disable the catkin build
  * Contributors: Esteve Fernandez, Matthias Goldhoorn, Mikael Arguedas

 -- Mikael Arguedas <mikael@osrfoundation.org>  Thu, 10 Mar 2016 08:00:00 -0000

ros-indigo-class-loader (0.3.2-0trusty) trusty; urgency=high

  * Fixed wrong handling of false statement (pkg-config was not installed)
  * Make catkin optional again
  * Contributors: Esteve Fernandez, Janosch Machowinski, Matthias Goldhoorn

 -- Mikael Arguedas <mikael@osrfoundation.org>  Wed, 22 Apr 2015 07:00:00 -0000

ros-indigo-class-loader (0.3.1-0trusty) trusty; urgency=high

  * Depend on boost
  * Use FindPoco.cmake from ros/cmake_modules
  * Honor BUILD_SHARED_LIBS and do not force building shared libraries.
  * Contributors: Esteve Fernandez, Gary Servin, Scott K Logan

 -- Esteve Fernandez <esteve@osrfoundation.org>  Tue, 23 Dec 2014 08:00:00 -0000

ros-indigo-class-loader (0.3.0-0trusty) trusty; urgency=high

  * Use system-provided console-bridge
  * Contributors: Esteve Fernandez

 -- Esteve Fernandez <esteve@osrfoundation.org>  Wed, 25 Jun 2014 07:00:00 -0000


